@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&display=swap');

:root {
  --primary-element-background : #FFFFFF;
  --primary-element-subtle : #F5F5F5;
  --primary-element-pale : #FEF8F9; 
  --primary-element-light : #FFD9E0;
  --primary-element-mid-light : #E15F73;
  --primary-element-mid : #D91E49;
  --primary-element-mid-dark : #B4273B;
  --primary-element-dark : #0E2753;

  --primary-button-foreground-ondark : #FFFFFF; 
  --primary-button-foreground-onlight : #D91E49;
  --primary-button-label-inverted : #D91E49;
  --primary-button-resting : #D91E49;
  --primary-button-hover : #B4273B;
  --primary-button-pressed : #982334;
  --primary-hyperlink-onlight : #D91E49;

  --primary-nav-label-resting : #0E2753;
  --primary-nav-label-hover : #B4273B;
  --primary-nav-label-pressed : #0E2753;
  --primary-nav-container-selected : #D91E49;
  --primary-nav-container-selected-hover : #D91E49;
  --primary-nav-wrapper : #0F2D5E;

  --primary-chip-label-selected : #D91E49;
  --primary-chip-border-selected : #D91E49;
  --primary-chip-container-selected : #FDF2F4;
  --primary-chip-container-selected-hover : #FCE8EC;

  --primary-tab-label-resting : #FFFFFF;
  --primary-tab-container-active : #FFFFFF;
  --primary-tab-container-resting : #D91E49;
  --primary-tab-container-resting-hover : #B4273B;

  --primary-title-inverted : var(--color-primary-00); 
  --primary-title-page-title : #4D4D4F;
  --primary-title-page-subtitle : #4D4D4F;
  --primary-title-card-title : #4D4D4F;
  --primary-title-card-subtitle : #0E4189;
  --primary-title-highlight : #D91E49;
  
  --primary-body-text-inverted : var(--color-primary-00); 
  --primary-body-text-highlight : #D91E49; 

  --primary-overlay-overlaylight: #4D4D4F66;

  --primary-shadow-branded : #611923;

  --secondary-element-background : #FFFFFF;
  --secondary-element-pale : #FBFAFA;
  --secondary-element-subtle : #F5F5F5;
  --secondary-element-light : #F6E5F0;
  --secondary-element-mid-light : #F7F9F4;
  --secondary-element-mid : #F0F4E8;
  --secondary-element-mid-dark : #FDF7E9;
  --secondary-element-dark : #E5EDF5;

  --secondary-button-foreground-ondark : #0E2753; 
  --secondary-button-foreground-onlight : #ECAD36;
  --secondary-button-label-inverted : #F5C268;
  --secondary-button-resting : #ECAD36;
  --secondary-button-hover : #E69E18;
  --secondary-button-pressed : #C48717;

  --secondary-title-inverted : var(--color-secondary-00); 
  --secondary-title-page-title : #611923;
  --secondary-title-page-subtitle : #982334;
  --secondary-title-card-title : #611923;
  --secondary-title-card-subtitle : #982334;
  --secondary-title-highlight : #B4273B;

  --secondary-body-text-inverted : var(--color-secondary-00); 
  --secondary-body-text-highlight : #0F2D5E; 

  --tertiary-button-foreground-ondark : #FFFFFF; 
  --tertiary-button-foreground-onlight : #0F2D5E; 
  --tertiary-button-label-inverted : #0C1B37;
  --tertiary-button-resting : #0E4189;
  --tertiary-button-hover : #D91E49;
  --tertiary-button-pressed : #0E2753;

  --color-loader : 217, 30, 73;
  --cmp-nav-2-0-focus-enable : #FBFAFA;

  --gradient-element-flashing : #D91E49;
  --gradient-element-fade : linear-gradient(90deg, #FCE8EC00 0%, #FCE8EC 100%); 
  --gradient-element-pattern : linear-gradient(135deg, var(--color-primary-100) 0%, var(--color-primary-50) 50.52%, var(--color-secondary-100) 100%); 

  --gradient-navigation-separator : linear-gradient(90deg, #FCE8EC00 0%, #D12B43 50%, #FCE8EC00 100%);
  --gradient-navigation-fade : linear-gradient(90deg, #FCE8EC00 0%, #FCE8EC 100%);
  --gradient-navigation-footer-separator : linear-gradient(90deg, #FCE8EC00 0%, #D12B43 50%, #FCE8EC00 100%);

  --font-title: "Noto Sans JP";
  --cmp-container: border-radius: 30px;

  --step--3: clamp(0.4819rem, 0.4494rem + 0.1443vw, 0.5645rem);
  --step--2: clamp(0.5879rem, 0.5505rem + 0.1662vw, 0.683rem);
  --step--1: clamp(0.7172rem, 0.6743rem + 0.1908vw, 0.8264rem);
  --step-0: clamp(0.875rem, 0.8259rem + 0.2183vw, 1rem);
  --step-1: clamp(1.0675rem, 1.0115rem + 0.2489vw, 1.21rem);
  --step-2: clamp(1.3024rem, 1.2388rem + 0.2825vw, 1.4641rem);
  --step-3: clamp(1.5889rem, 1.5171rem + 0.3191vw, 1.7716rem);
  --step-4: clamp(1.9384rem, 1.8578rem + 0.3584vw, 2.1436rem);
  --step-5: clamp(2.3649rem, 2.2749rem + 0.3998vw, 2.5937rem);
  
}

.text .cmp-text table tr:first-child>th {
background-color: #D91E49;
font-size: 16px;
font-weight: 600;
}

.text .cmp-text table {
background-color: #F5F5F5;

}

.text.cmp-text__table-column--state-neutral-05 .cmp-text table tr>td{
background-color: #F5F5F5;

}

.text .cmp-text table td:nth-child(odd){
background-color: #F5F5F5;

}


.hero3 .cmp-teaser-content-block {background:#D91E49}

.wordwrap{
word-break: break-all;
}

body{
background:var(--primary-element-background);
}

*:not(.material-symbols-rounded) {
  font-family: 'Noto Sans JP' !important;
}

html:lang(ja) *{
  overflow-wrap: break-word !important;
  word-break: auto-phrase !important;
  line-break: strict !important;
}

.cmp-primary-nav .primary-nav-wrapper .primary-nav{
background:var(--primary-element-background) !important;
}

.menu-hide .cmp-primary-nav, .menu-hide .cmp-primary-nav:hover{
background:var(--primary-element-background) !important;
}

.Step-1-dt {
line-height: 30.0px;
font-family: 'Noto Sans JP';
}

.sub-text-blue{
font-size: var(--step--1) !important;
}

.hero-3-text{
font-size: var(--step-5) !important;
}

